package iitb.cfilt.cpost.lexicon;

import iitb.cfilt.cpost.dmstemmer.MorphResult;

public class NNSuffixRule {
	String suffix;
	StemFeatures features;
	String morphFeatures;
	
	NNSuffixRule(){
		suffix = "";
		features = new StemFeatures();		
		morphFeatures = "";		
	}
	
	NNSuffixRule(String suffix, char clas, char gender, String askSmriti, String morphFeatures){
		this.suffix = suffix;
		features = new StemFeatures( clas, gender, askSmriti);		
		this.morphFeatures = morphFeatures;		
	}
	public StemFeatures getFeatures(){
		return features;
	}
	public String getMorphAnalysis(){
		return morphFeatures;
	}
	public MorphResult getMorphResult(){
		String tmpFeatures = morphFeatures.replaceAll("\\[", "");
		tmpFeatures = tmpFeatures.replaceAll("]", "");
		String[] parts = tmpFeatures.split(",");
		MorphResult mr = new MorphResult("x",parts[0].trim(),"x",parts[1].trim(),"x","x","x");
		return mr;
	}
}
